Skip to main content
GET
/
usage
/
summary
/
my
Gets summary for current business.
curl --request GET \
  --url https://api.leadping.ai/usage/summary/my
{
  "periodStart": "2023-11-07T05:31:56Z",
  "periodEnd": "2023-11-07T05:31:56Z",
  "customerChargeTotal": "<string>",
  "providerCostTotal": "<string>",
  "internalCostTotal": "<string>",
  "billableQuantityTotal": "<string>",
  "usageRecordCount": "<string>",
  "pendingInvoiceCount": "<string>",
  "failedCount": "<string>",
  "billingBlockedCount": "<string>",
  "nonBillableInternalCount": "<string>",
  "lines": [
    {
      "quantity": "<string>",
      "customerChargeAmount": "<string>",
      "providerCostAmount": "<string>",
      "internalCostAmount": "<string>",
      "recordCount": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

periodStart
string<date-time>

The period start.

periodEnd
string<date-time>

The period end.

Response

200 - application/json

Returns the usage summary response.

API DTO containing usage summary response data.

periodStart
string<date-time>

The date and time for the period start value on this usage summary.

periodEnd
string<date-time>

The date and time for the period end value on this usage summary.

customerChargeTotal
string<double>

The customer charge total for this usage summary.

Pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
providerCostTotal
string<double>

The provider cost total for this usage summary.

Pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
internalCostTotal
string<double>

The internal cost total for this usage summary.

Pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
billableQuantityTotal
string<double>

The billable quantity total for this usage summary.

Pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
usageRecordCount
string<int32>

The usage record count for this usage summary.

Pattern: ^-?(?:0|[1-9]\d*)$
pendingInvoiceCount
string<int32>

The pending invoice count for this usage summary.

Pattern: ^-?(?:0|[1-9]\d*)$
failedCount
string<int32>

The failed count for this usage summary.

Pattern: ^-?(?:0|[1-9]\d*)$
billingBlockedCount
string<int32>

The billing blocked count for this usage summary.

Pattern: ^-?(?:0|[1-9]\d*)$
nonBillableInternalCount
string<int32>

The non billable internal count for this usage summary.

Pattern: ^-?(?:0|[1-9]\d*)$
lines
object[]

The lines included with this usage summary.